# xml_parser_create_ns

(PHP 4 >= 4.0.5, PHP 5, PHP 7)

xml_parser_create_ns — Create an XML parser with namespace support

### Description

xml_parser_create_ns ([ string `$encoding` [, string `$separator` = ":" ]] ) : resource

xml_parser_create_ns() creates a new XML parser with XML namespace support and returns a resource handle referencing it to be used by the other XML functions.

### Parameters

`encoding`

  The input encoding is automatically detected, so that the `encoding` parameter specifies only the output encoding. In PHP 5.0.0 and 5.0.1, the default output charset is ISO-8859-1, while in PHP 5.0.2 and upper is UTF-8. The supported encodings are ISO-8859-1, UTF-8 and US-ASCII.

`separator`

  With a namespace aware parser tag parameters passed to the various handler functions will consist of namespace and tag name separated by the string specified in `separator`.

### Return Values

Returns a resource handle for the new XML parser, or `FALSE` on failure.

### See Also

- xml_parser_create() - Create an XML parser
- xml_parser_free() - Free an XML parser